KTUTILSERV(1)

NAME
ktutilserv - server implementations to test miscellaneous utilities

DESCRIPTION

The command `ktutilserv' is a utility for facility test and performance test of the server tool kit. This command is used in the following format. `basedir' specifies the document root directory.

    ktutilserv echo [-host str] [-port num] [-tout num]
        Runs the single-threaded echo server.
    ktutilserv mtecho [-host str] [-port num] [-tout num] [-th num] [-li|-ls|-le|-lz]
        Runs the multi-threaded echo server.
    ktutilserv http [-host str] [-port num] [-tout num] [-th num] [-li|-ls|-le|-lz] [basedir]
        Runs the HTTP server.
    ktutilserv rpc [-host str] [-port num] [-tout num] [-th num] [-li|-ls|-le|-lz]
        Runs the RPC server.

Options feature the following.

    -host str : specifies the host name of the server.
    -port num : specifies the port number of the server.
    -tout num : specifies the timeout in seconds.
    -th num : specifies the number of worker threads. By default, it is 8.
    -li : sets the logging level "INFO".
    -ls : sets the logging level "SYSTEM".
    -le : sets the logging level "ERROR".
    -lz : sets the logging level "NONE".

This command returns 0 on success, another on failure.

SEE ALSO

ktutiltest(1), ktutilmgr(1)